      PROGRAM DRAG
      !USE INPUTDATA
      REAL, DIMENSION(6) :: AR1
      REAL, DIMENSION(11) :: AR2
      USE PARAM
      open (1, file= '2016_inp.txt', status ='old')
      open (2, file='2016_outDRAG.txt', status='new')
      do i=1,n
      read (1,*) ws, deltaT, semisumT
      AR1(1) = ws
      AR1(2) = deltaT            
      AR1(3) = semisumT           
      AR1(4) = 0
      AR1(5) = 9                                      
      AR1(6) = 0.02

      AN5=(A6/A0)**4
      D1=(2.0E0*G10-AN5*G4-SQRT((AN5*G4)**2+4.0E0*AN5*G10*(G10-G4)))
     */(2.0E0*G10**2)
      Y10=(1.0E0-G4*D1)**.25E0
      X10=(1.0E0-G10*D1)**.5E0
      P1=2.0E0*ATAN(Y10)+ALOG((Y10-1.0E0)/(Y10+1.0E0))
      P0=ALOG((X10-1.0E0)/(X10+1.0E0))
      
      CALL DRAG3
      
      HFX=-RO*CP*U*T4*C0
      MFX=-RO*C4*U*U
      betta=G/T1
      zL=(betta*AKA*H*C0*T4)/(C4*C4*U*U)
      write (2,*) i, HFX, MFX, ZL
      write (*,*) 'happy end'	  
      enddo
      END PROGRAM 
      
